<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/dialogs/UserEditorDialog/UserEditorDialog.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_user_editor_dialog_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UserEditorDialog.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_USEREDITORDIALOG_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_USEREDITORDIALOG_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &quot;../UserDetailsDialog/UserDetailsDialog.h&quot;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="class_user_editor_dialog.html">   24</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_user_editor_dialog.html">UserEditorDialog</a> : <span class="keyword">public</span> <a class="code" href="class_user_details_dialog.html">UserDetailsDialog</a> {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;Q_OBJECT</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="class_user_editor_dialog.html#a145c3b300bda58a6726baee4ae671289">UserEditorDialog</a>(<span class="keywordtype">bool</span> canEditAdminStatus = <span class="keyword">false</span>, QWidget *parent = 0);</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_editor_dialog.html#a32489d865980b4eb7fd7b476aace78b2">populate</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_editor_dialog.html#aea6e66956b46eabfe9e9280a656fb35d">getEditUserRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_editor_dialog.html#a0135cdcf9cd33c3a76cda672f7f6f20d">applySettings</a>();</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_editor_dialog.html#afe21fd2ca126037987af65be6e6bf85f">revertSettings</a>();</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;signals:</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_editor_dialog.html#a592434126186dcd6c2535c5d46b861ca">sendEditUserRequest</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin, QString password);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <a class="code" href="class_user.html">User</a> currentUser = <a class="code" href="class_user.html">User</a>(<span class="stringliteral">&quot;name&quot;</span>, <span class="stringliteral">&quot;email&quot;</span>, QDateTime::currentDateTime().date(), <span class="stringliteral">&quot;email&quot;</span>);  <span class="comment">// current user displayed</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordtype">bool</span> isAdmin = <span class="keyword">false</span>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    QCheckBox *adminStatusCheckBox;  <span class="comment">// checkbox to set admin or not</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <a class="code" href="class_inline_label.html">InlineLabel</a> *passwordInput;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    QPushButton *applySettingsButton;  <span class="comment">// button to apply settings edits</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    QPushButton *revertSettingsButton;  <span class="comment">// button to revert settings to last edit made</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">void</span> setup();</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordtype">void</span> connectSignalsSlots();</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;};</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_USEREDITORDIALOG_H</span></div><div class="ttc" id="class_user_editor_dialog_html"><div class="ttname"><a href="class_user_editor_dialog.html">UserEditorDialog</a></div><div class="ttdef"><b>Definition:</b> UserEditorDialog.h:24</div></div>
<div class="ttc" id="class_inline_label_html"><div class="ttname"><a href="class_inline_label.html">InlineLabel</a></div><div class="ttdef"><b>Definition:</b> InlineLabel.h:28</div></div>
<div class="ttc" id="class_user_editor_dialog_html_aea6e66956b46eabfe9e9280a656fb35d"><div class="ttname"><a href="class_user_editor_dialog.html#aea6e66956b46eabfe9e9280a656fb35d">UserEditorDialog::getEditUserRequestResult</a></div><div class="ttdeci">void getEditUserRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> UserEditorDialog.cpp:64</div></div>
<div class="ttc" id="class_user_html"><div class="ttname"><a href="class_user.html">User</a></div><div class="ttdef"><b>Definition:</b> User.h:31</div></div>
<div class="ttc" id="class_user_editor_dialog_html_a145c3b300bda58a6726baee4ae671289"><div class="ttname"><a href="class_user_editor_dialog.html#a145c3b300bda58a6726baee4ae671289">UserEditorDialog::UserEditorDialog</a></div><div class="ttdeci">UserEditorDialog(bool canEditAdminStatus=false, QWidget *parent=0)</div><div class="ttdef"><b>Definition:</b> UserEditorDialog.cpp:24</div></div>
<div class="ttc" id="class_user_editor_dialog_html_a592434126186dcd6c2535c5d46b861ca"><div class="ttname"><a href="class_user_editor_dialog.html#a592434126186dcd6c2535c5d46b861ca">UserEditorDialog::sendEditUserRequest</a></div><div class="ttdeci">void sendEditUserRequest(User user, bool isAdmin, QString password)</div></div>
<div class="ttc" id="class_user_editor_dialog_html_afe21fd2ca126037987af65be6e6bf85f"><div class="ttname"><a href="class_user_editor_dialog.html#afe21fd2ca126037987af65be6e6bf85f">UserEditorDialog::revertSettings</a></div><div class="ttdeci">void revertSettings()</div><div class="ttdef"><b>Definition:</b> UserEditorDialog.cpp:83</div></div>
<div class="ttc" id="class_user_details_dialog_html"><div class="ttname"><a href="class_user_details_dialog.html">UserDetailsDialog</a></div><div class="ttdef"><b>Definition:</b> UserDetailsDialog.h:33</div></div>
<div class="ttc" id="class_user_editor_dialog_html_a0135cdcf9cd33c3a76cda672f7f6f20d"><div class="ttname"><a href="class_user_editor_dialog.html#a0135cdcf9cd33c3a76cda672f7f6f20d">UserEditorDialog::applySettings</a></div><div class="ttdeci">void applySettings()</div><div class="ttdef"><b>Definition:</b> UserEditorDialog.cpp:78</div></div>
<div class="ttc" id="class_user_editor_dialog_html_a32489d865980b4eb7fd7b476aace78b2"><div class="ttname"><a href="class_user_editor_dialog.html#a32489d865980b4eb7fd7b476aace78b2">UserEditorDialog::populate</a></div><div class="ttdeci">void populate(User user, bool isAdmin)</div><div class="ttdef"><b>Definition:</b> UserEditorDialog.cpp:88</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_14719b40b25530ee4da48b51ded8319c.html">dialogs</a></li><li class="navelem"><a class="el" href="dir_a78899d006fde375f4226ec931e59b31.html">UserEditorDialog</a></li><li class="navelem"><b>UserEditorDialog.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
